%{?nodejs_find_provides_and_requires}

%global packagename mockery
%global enable_tests 1

Name:		nodejs-mockery
Version:	1.4.0
Release:	1%{?dist}
Summary:	Simplifying the use of mocks with Node.js

License:	MIT
URL:		https://github.com/mfncooper/mockery.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(nodeunit)
BuildRequires:	npm(sinon)
%endif

%description
Simplifying the use of mocks with Node.js


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# insert test suite here
%{__nodejs} test/run.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 24 2016 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Initial packaging
